Assign one of the merchant's unmatched bank payins to an account
curl --request POST \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/unmatched-bank-payins/{id}/assign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "6bfb8f77-cd67-4379-a508-4227af2e5c7f"
}
'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/unmatched-bank-payins/{id}/assign"
payload = { "accountId": "6bfb8f77-cd67-4379-a508-4227af2e5c7f" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountId: '6bfb8f77-cd67-4379-a508-4227af2e5c7f'})
};
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/unmatched-bank-payins/{id}/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": 150000,
"concept": "REF-UNKNOWN",
"createdAt": "2026-07-08T12:34:56.789Z",
"currency": "EUR",
"destinationAbaRoutingCode": "271582611",
"destinationAccountHolder": "TechStore MX S.A.",
"destinationAccountNumber": "84121024291",
"destinationBankName": "Nilos Bank",
"destinationIban": "ES9821000418450200051332",
"destinationSwift": "ZEITPRSJXXX",
"id": 42,
"merchant": {
"id": 305,
"name": "TechStore MX"
},
"order": {
"amount": 5720,
"createdAt": "2026-07-09T14:07:59.000Z",
"currency": "EUR",
"id": "9c1b8f77-cd67-4379-a508-4227af2e5c7f",
"reference": "TPX-2026-000123",
"settledAt": "2026-07-09T14:07:59.000Z",
"state": "SETTLED"
},
"rail": "SEPA",
"reason": "NO_MATCHING_METHOD",
"rejectReason": "Sender not recognized",
"resolvedAt": "2026-07-08T13:00:00.000Z",
"resolvedPayinMethodId": "6bfb8f77-cd67-4379-a508-4227af2e5c7f",
"senderAccount": "ES9121000418450200051332",
"senderName": "Jane Doe",
"state": "PENDING"
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}Unmatched Bank Payins
Assign one of the merchant's unmatched bank payins to an account
Attributes the payin to the selected account’s active payin method on the payin’s rail; PaymentGW replays it as a normal settlement. The account must belong to the authenticated merchant.
POST
/
api
/
v1
/
account
/
unmatched-bank-payins
/
{id}
/
assign
Assign one of the merchant's unmatched bank payins to an account
Authorizations
API Key for accessing management endpoints
Path Parameters
Unmatched bank payin id
Body
application/json
Payin method to attribute the funds to
Example:
"6bfb8f77-cd67-4379-a508-4227af2e5c7f"
Response
OK
Example:
150000
Example:
"REF-UNKNOWN"
Example:
"2026-07-08T12:34:56.789Z"
Example:
"EUR"
Example:
"271582611"
Example:
"TechStore MX S.A."
Example:
"84121024291"
Example:
"Nilos Bank"
Example:
"ES9821000418450200051332"
Example:
"ZEITPRSJXXX"
Example:
42
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"SEPA"
Example:
"NO_MATCHING_METHOD"
Example:
"Sender not recognized"
Example:
"2026-07-08T13:00:00.000Z"
Example:
"6bfb8f77-cd67-4379-a508-4227af2e5c7f"
Example:
"ES9121000418450200051332"
Example:
"Jane Doe"
Example:
"PENDING"
⌘I